<div class='edit-form'>

	<div class='edit-form__header'>
		<h1 class='title'><?php echo $this->InflectorExt->pluralize($displayName) ?> <span>Administration</span></h1>
		<h2 class='title edit-form__title'>
			<?php echo $title_for_layout; ?>
		</h2>

		<?php echo $this->Element('toolbar') ?>
	</div>

	<?php

		echo $this->Html->script('admin_form', array('inline'=>false));

		echo $this->Form->create(null, array(
			'inputDefaults'=>array(
				'empty'=>''
			),
			'type' => 'file',
			'class' => 'cr'
		));

	?>

	<div class='tab__content' data-title='Content'>
		<?php
			foreach($fields as $field => $attr) {

				if ($attr === false) {
					continue;
				}

				if ($field == 'extra') {
					foreach ($attr as $extra_field => $field_attr) {

						echo $this->Element('EvSlideShow.admin_fields', array(
							'field' => $extra_field,
							'attr' => $field_attr,
							'is_extra' => true
						));
					}
				} else {

					echo $this->Element('EvSlideShow.admin_fields', array(
						'field' => $field,
						'attr' => $attr
					));
				}

			}
		?>
	</div>

	<?php if(isset($imageSlots) && is_array($imageSlots)): //We have multiple image sections on a page ?>
		<?php foreach($imageSlots as $imageSection=>$imageSlots): ?>

			<div class='tab__content' data-title='Images - <?php echo $this->InflectorExt->humanize($imageSection); ?>'>
				<?php
					echo $this->Element(
						'Forms/image_fields',
						array(
							'imageSection' => $imageSection,
							'imageSlots' => $imageSlots
						)
					);
				?>
			</div>
		<?php endforeach; ?>

	<?php elseif (isset($imageSlots) && $imageSlots!=0): ?>
		<div class='tab__content' data-title='Images'>
			<?php
				echo $this->Element(
					'Forms/image_fields',
					array(
						'imageSection' => 'main'
					)
				);
			?>
		</div>
	<?php endif ?>

	<?php if (isset($documentSlots) && $documentSlots>0): ?>
		<div class='tab__content' data-title='Documents'>
			<?php echo $this->Element('Forms/document_fields') ?>
		</div>
	<?php endif ?>

	<div class="input checkbox">
		<input type="hidden" name="return" id="return_" value="0">
		<input type="checkbox" name="return" value="1" id="return"><label for="return">Return after saving</label>
	</div>

	<?php echo $this->Element('Forms/form_submit') ?>

	<?php echo $this->Form->end() ?>

</div>